import getPaths from './paths'

const hotjarConfig = {
  script: '//static.hotjar.com/c/hotjar-223746.js?sv=5',
  consents: {
    purposes: [8, 9, 10],
    specialFeatureOptions: []
  }
}

const validatePath = (paths, pathToSearch) => {
  return paths?.find(path => path.test(pathToSearch))
}

const isMultipostedOfferDetail = path => {
  return (
    path.includes('of-i') &&
    (path.includes('PostingMA') || path.includes('PostingJIJ'))
  )
}

const initHotjarScript = () => {
  window.hj =
    window.hj ||
    function () {
      ;(window.hj.q = window.hj.q || []).push(arguments)
    }
  window._hjSettings = {hjid: 223746, hjsv: 5}
}

const getHotjarConfig = ({portal, path}) => {
  const paths = getPaths(portal)
  const isEnabled = validatePath(paths, path) || isMultipostedOfferDetail(path)
  return {
    config: isEnabled ? {hotjar: hotjarConfig} : {},
    initScript: isEnabled ? initHotjarScript : () => {}
  }
}

export default getHotjarConfig
