import getPaths from './paths'

const surveyMonkeyConfig = () => ({
  script:
    'https://components.infojobs.com/statics/tags/survey-monkey-candidates.js',
  consents: {
    purposes: [8, 9, 10],
    specialFeatureOptions: []
  }
})

const validatePath = (paths, pathToSearch) =>
  paths.filter(path => path.url === pathToSearch && path.state === 'on')
    .length > 0

const getSurveyMonkeyConfig = ({portal, path}) => {
  const paths = getPaths(portal)
  const isEnabled = validatePath(paths, path)
  return {
    config: isEnabled ? {surveyMonkey: surveyMonkeyConfig()} : {}
  }
}

export default getSurveyMonkeyConfig
